summaryrefslogtreecommitdiffstats
path: root/src/opkbuild.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2018-12-22 23:50:13 (EST)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2018-12-22 23:50:13 (EST)
commit719a4eb167b15e0d4c81302e539f0cb847d444b8 (patch)
treed5e242b7e6b9510edc36fc4adbdbd1d59d04d364 /src/opkbuild.sh
parentcc339be0fe4965cb52629eb0d4fdc43de7fc5c65 (diff)
opkbuild, ob-*: Use variables set by shpp
Diffstat (limited to 'src/opkbuild.sh')
-rw-r--r--src/opkbuild.sh28
1 files changed, 14 insertions, 14 deletions
diff --git a/src/opkbuild.sh b/src/opkbuild.sh
index e6defe2..e56c40f 100644
--- a/src/opkbuild.sh
+++ b/src/opkbuild.sh
@@ -19,7 +19,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. '@@LIBDATADIR@@/libopkbuild.shso.1'
+. "${LIBDATADIR}/libopkbuild.shso.1"
export OPK_SOURCE=
export OPK_SOURCE_VERSION=
@@ -74,7 +74,7 @@ main()
if [ "${opt_build}" != 'source' ]; then
print_arch_stats
if "${opt_check_build_deps}"; then
- if ! '@@BINDIR@@/ob-checkbuilddeps'; then
+ if ! "${BINDIR}/ob-checkbuilddeps"; then
exit 1
fi
fi
@@ -98,7 +98,7 @@ help()
version()
{
printf "$(ob_get_msg 'version')\n" \
- 'opkbuild' '@@PACKAGE_NAME@@' '@@PACKAGE_VERSION@@'
+ 'opkbuild' "${PACKAGE_NAME}" "${PACKAGE_VERSION}"
}
get_options()
@@ -281,13 +281,13 @@ build_source()
esac
done
- if ! OB_DO_SOURCE='true' '@@BINDIR@@/ob-gencontrol'; then
+ if ! OB_DO_SOURCE='true' "${BINDIR}/ob-gencontrol"; then
exit 1
fi
- if ! OB_DO_SOURCE='true' '@@BINDIR@@/ob-buildopk'; then
+ if ! OB_DO_SOURCE='true' "${BINDIR}/ob-buildopk"; then
exit 1
fi
- if ! OB_DO_SOURCE='true' '@@BINDIR@@/ob-genchanges'; then
+ if ! OB_DO_SOURCE='true' "${BINDIR}/ob-genchanges"; then
exit 1
fi
@@ -332,16 +332,16 @@ setup_build()
fi
fi
- eval "$('@@BINDIR@@/ob-buildenv' | sed 's/^/export /')"
+ eval "$("${BINDIR}/ob-buildenv" | sed 's/^/export /')"
- if ! '@@BINDIR@@/ob-unpacksource'; then
+ if ! "${BINDIR}/ob-unpacksource"; then
exit 1
fi
- if ! '@@BINDIR@@/ob-applypatches'; then
+ if ! "${BINDIR}/ob-applypatches"; then
# TODO: Remove the ":" after fixing ob-applypatches.
: exit 1
fi
- if ! '@@BINDIR@@/ob-installplatconf'; then
+ if ! "${BINDIR}/ob-installplatconf"; then
exit 1
fi
}
@@ -353,10 +353,10 @@ build()
../build build
${opt_uid0_cmd} -- sh -s <<-EOF
../build install && \
- '@@BINDIR@@/ob-installdocs' && \
- '@@BINDIR@@/ob-gencontrol' && \
- '@@BINDIR@@/ob-buildopk' && \
- '@@BINDIR@@/ob-genchanges'
+ '${BINDIR}/ob-installdocs' && \
+ '${BINDIR}/ob-gencontrol' && \
+ '${BINDIR}/ob-buildopk' && \
+ '${BINDIR}/ob-genchanges'
EOF
if [ ${?} -ne 0 ]; then
exit 1